summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorBrad King <brad.king@kitware.com>2020-04-01 16:05:59 (GMT)
committerBrad King <brad.king@kitware.com>2020-04-01 17:30:22 (GMT)
commit1b8e2c2a3d2f107089848aaf34e18cc6406e1f45 (patch)
tree8e3545b988849b4416d513f1731ac975018c4e8e
parentcfc92b483fbd3695d4a67843977e709ba4d7ea47 (diff)
downloadCMake-1b8e2c2a3d2f107089848aaf34e18cc6406e1f45.zip
CMake-1b8e2c2a3d2f107089848aaf34e18cc6406e1f45.tar.gz
CMake-1b8e2c2a3d2f107089848aaf34e18cc6406e1f45.tar.bz2
nghttp2: Add script to import from upstream
-rwxr-xr-xUtilities/Scripts/update-nghttp2.bash30
1 files changed, 30 insertions, 0 deletions
diff --git a/Utilities/Scripts/update-nghttp2.bash b/Utilities/Scripts/update-nghttp2.bash
new file mode 100755
index 0000000..07a8f13
--- /dev/null
+++ b/Utilities/Scripts/update-nghttp2.bash
@@ -0,0 +1,30 @@
+#!/usr/bin/env bash
+
+set -e
+set -x
+shopt -s dotglob
+
+readonly name="nghttp2"
+readonly ownership="nghttp2 upstream <kwrobot@kitware.com>"
+readonly subtree="Utilities/cmnghttp2"
+readonly repo="https://github.com/nghttp2/nghttp2.git"
+readonly tag="v1.40.0"
+readonly shortlog=false
+readonly paths="
+ COPYING
+ lib/*.c
+ lib/*.h
+ lib/includes/nghttp2/nghttp2.h
+ lib/includes/nghttp2/nghttp2ver.h.in
+"
+
+extract_source () {
+ git_archive
+ pushd "${extractdir}/${name}-reduced"
+ echo "* -whitespace" > .gitattributes
+ mv lib/includes/nghttp2/nghttp2ver.h.in lib/includes/nghttp2/nghttp2ver.h
+ sed -i 's/@PACKAGE_VERSION@/1.40.0/;s/@PACKAGE_VERSION_NUM@/0x012800/' lib/includes/nghttp2/nghttp2ver.h
+ popd
+}
+
+. "${BASH_SOURCE%/*}/update-third-party.bash"